qtsensors dependency should be fixed to build with Qt 5.3

Bug #1317885 reported by Timo Jyrinki on 2014-05-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cordova Ubuntu
Low
Unassigned
Online Accounts: Sign-on UI
Undecided
Unassigned
qtubuntu-sensors
Undecided
Unassigned
qtubuntu (Ubuntu)
Undecided
Unassigned
qtubuntu-sensors (Ubuntu)
Undecided
Unassigned
signon-ui (Ubuntu)
Undecided
Unassigned
ubuntu-touch-meta (Ubuntu)
Undecided
Unassigned

Bug Description

Debian has done renames and 'libqt5sensors5-dev' should be used now instead of qtsensors5-dev. There used to be a transitional package but also that is being dropped.

This affects Qt 5.3 test builds.

Refer to kept-update info on the front page of https://launchpad.net/~canonical-qt5-edgers/+archive/qt5-beta2 regarding where/how to get Qt 5.3. Note that it's not necessarily that PPA itself.

Related branches

description: updated
Timo Jyrinki (timo-jyrinki) wrote :

Also affects signon-ui and cordova-ubuntu, making them impossible to build because of the wrong dependency.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtubuntu-sensors - 0.6+14.10.20140523-0ubuntu1

---------------
qtubuntu-sensors (0.6+14.10.20140523-0ubuntu1) utopic; urgency=low

  [ Timo Jyrinki ]
  * Depend on libqt5sensors5-dev instead of qtsensors5-dev. (LP:
    #1317885) (LP: #1317885)
 -- Ubuntu daily release <email address hidden> Fri, 23 May 2014 10:20:03 +0000

Changed in qtubuntu-sensors (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtubuntu - 0.54+14.10.20140523-0ubuntu1

---------------
qtubuntu (0.54+14.10.20140523-0ubuntu1) utopic; urgency=low

  [ Timo Jyrinki ]
  * Depend on libqt5sensors5-dev instead of qtsensors5-dev. (LP:
    #1317885) (LP: #1317885)
 -- Ubuntu daily release <email address hidden> Fri, 23 May 2014 10:25:15 +0000

Changed in qtubuntu (Ubuntu):
status: New → Fix Released
Changed in qtubuntu:
status: New → Fix Released
Changed in qtubuntu-sensors:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package signon-ui - 0.16+14.10.20140530-0ubuntu1

---------------
signon-ui (0.16+14.10.20140530-0ubuntu1) utopic; urgency=low

  [ Timo Jyrinki ]
  * Depend on libqt5sensors5-dev instead of qtsensors5-dev. (LP:
    #1317885) (LP: #1317885)
 -- Ubuntu daily release <email address hidden> Fri, 30 May 2014 17:38:39 +0000

Changed in signon-ui (Ubuntu):
status: New → Fix Released
Changed in signon-ui:
status: New → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

Cordova doesn't require a rebuild, though, but this affects when it's tried to be rebuilt the next time.

Changed in cordova-ubuntu:
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-touch-meta - 1.151

---------------
ubuntu-touch-meta (1.151) utopic; urgency=medium

  * Refreshed dependencies
  * Added language-pack-touch-bs to touch
  * Added language-pack-touch-lt to touch
  * Added language-pack-touch-ms to touch
  * Added language-pack-touch-nl to touch
  * Added language-pack-touch-oc to touch
  * Added language-pack-touch-ro to touch
  * Added language-pack-touch-sk to touch
  * Added language-pack-touch-sv to touch
  * Added language-pack-touch-tr to touch
  * Added language-pack-touch-ug to touch
  * Added libqt5sensors5-dev to sdk-libs-dev (LP: #1317885)
  * Removed qtsensors5-dev from sdk-libs-dev
 -- Oliver Grawert <email address hidden> Tue, 17 Jun 2014 13:45:33 +0200

Changed in ubuntu-touch-meta (Ubuntu):
status: New → Fix Released
Michał Sawicz (saviq) on 2017-03-13
no longer affects: qtubuntu
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers